Subject: Re: git gc - out of memory

From: Alejandro Riveira <[email-masked]>
Date: Sun, 15 Nov 2009 14:44:29 +0000 (UTC)

El Sat, 14 Nov 2009 20:26:00 +0100, Simon Strandgaard escribió:

> My bare repository is on an OpenBSD machine. I was unaware of the
> importance of git gc until today after investigating a problem with "git
> pull". So there hasn't been run git gc on the repository ever.
> 
> The biggest file in the repository is a 45 mb file. The repository size
> is near 2 gb.
> 
> What can I do?

run « git repack -adf --window=memory » on the repo where memory is
escaled apropiately for your machine ?

See « git help repack »

Regards;